MuleDerbyTestUtils (Mule ESB 2.2.1 API)
Keywords: org.mule.tck.util.MuleDerbyTestUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tck.util
Class MuleDerbyTestUtils

    java.lang.Object
      org.mule.tck.util.MuleDerbyTestUtils

    public class MuleDerbyTestUtils

extends Object

NOTE: Don't forget to duplicate all the changes in `org.mule.example.loanbroker.bpm.DbUtils`

Method Summary
`static void` | `cleanupDerbyDb(String databaseName)`
`static void` | `cleanupDerbyDb(String derbySystemHome, String databaseName)`
`static void` | `createDataBase(String databaseName)` Create a new embedded database
`static void` | `createDataBase(String databaseName, String creationSql)` Create a new embedded database
`static void` | `createDataBase(String databaseName, String[] creationSql)` Create a new embedded database
`static void` | `createDataBase(String databaseName, String[] creationSql, Properties properties)` Create a new embedded database
`static void` | `defaultDerbyCleanAndInit(String propertiesLocation, String propertyName)`
`static String` | `loadDatabaseName(String propertiesLocation, String propertyName)`
`static String` | `setDerbyHome()`
`static String` | `setDerbyHome(String path)`
`static void` | `startDataBase(String databaseName)` Start a previously created (and stopped) database
`static void` | `stopDatabase()` Properly shutdown an embedded Derby database

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setDerbyHome

    public static String setDerbyHome()

### setDerbyHome

    public static String setDerbyHome(String path)

### stopDatabase

    public static void stopDatabase()
                             throws SQLException

  Properly shutdown an embedded Derby database

  Throws:
    `SQLException`
  See Also:
    Derby docs

### cleanupDerbyDb

    public static void cleanupDerbyDb(String databaseName)
                               throws IOException,
                                      SQLException

  Throws:
    `IOException`
    `SQLException`

### cleanupDerbyDb

    public static void cleanupDerbyDb(String derbySystemHome,
                                      String databaseName)
                               throws IOException,
                                      SQLException

  Throws:
    `IOException`
    `SQLException`

### startDataBase

    public static void startDataBase(String databaseName)
                              throws Exception

  Start a previously created (and stopped) database

  Throws:
    `Exception`

### createDataBase

    public static void createDataBase(String databaseName)
                               throws SQLException

  Create a new embedded database

  Parameters:
    `databaseName` -
  Throws:
    `SQLException`

### createDataBase

    public static void createDataBase(String databaseName,
                                      String creationSql)
                               throws SQLException

  Create a new embedded database

  Parameters:
    `databaseName` -
    `creationSql` - - SQL used to create and populate initial database tables
  Throws:
    `SQLException`

### createDataBase

    public static void createDataBase(String databaseName,
                                      String[] creationSql)
                               throws SQLException

  Create a new embedded database

  Parameters:
    `databaseName` -
    `creationSql` - - SQL used to create and populate initial database tables
  Throws:
    `SQLException`

### createDataBase

    public static void createDataBase(String databaseName,
                                      String[] creationSql,
                                      Properties properties)
                               throws SQLException

  Create a new embedded database

  Parameters:
    `databaseName` -
    `creationSql` - - SQL used to create and populate initial database tables
  Throws:
    `SQLException`

### loadDatabaseName

    public static String loadDatabaseName(String propertiesLocation,
                                          String propertyName)
                                   throws IOException

  Throws:
    `IOException`

### defaultDerbyCleanAndInit

    public static void defaultDerbyCleanAndInit(String propertiesLocation,
                                                String propertyName)
                                         throws IOException,
                                                SQLException

  Throws:
    `IOException`
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.